// this is file is part of
// markonvert - Fortran unformatted record marker converter
//
// Copyright (C) 2005  Francesco Poli
//
// This work is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License, version 2,
// as published by the Free Software Foundation.
// 
// This work is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this work; if not, write to the Free Software Foundation, Inc.,
// 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA

#ifndef MK_USAGE_H
#define MK_USAGE_H

#include<iostream>

namespace mk
{
    inline void usage(const char *progname)
      {
        std::cerr
            << "Usage: " << progname << " { --from32to64 | --from64to32 }"
            << std::endl
            << "Convert stdin to stdout, converting between"
            << " different record marker lengths" << std::endl;
      }
}

#endif // not MK_USAGE_H
